NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::Mfg::AM::Sketcher Class Reference

Represents a Mfg::AM::Sketcher builder
To create a new instance of this class, use NXOpen::Mfg::AM::SupportBuilder::Sketcher
Default values. More...

Inheritance diagram for NXOpen::Mfg::AM::Sketcher:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Mode { ModeSurfaceFace, ModeSurfaceLine, ModeSketchFace, ModeSketchLine }
 the sketcher mode More...
 

Public Member Functions

void AddCurvePoints (const std::vector< NXOpen::Point * > &points)
 Creates or extends the curve with points
Created in NX11.0.2. More...
 
bool CloseCurve ()
 Returns the flag indicating if curve should be closed
Created in NX11.0.2. More...
 
NXOpen::Features::CurveOnSurfaceBuilderCurveOnSurfaceBuilder ()
 Returns the Curve On Surface feature builder
Created in NX11.0.2. More...
 
void SetCloseCurve (bool bCloseCurve)
 Sets the flag indicating if curve should be closed
Created in NX11.0.2. More...
 
void SetSketch (NXOpen::Sketch *sectionSketch)
 Sets the sketch which holds the section curves
Created in NX12.0.2. More...
 
void SetSketchCanvas (const std::vector< NXOpen::Face * > &faces)
 Set the faces to sketch the curve upon
Created in NX11.0.2. More...
 
void SetSketchMode (NXOpen::Mfg::AM::Sketcher::Mode sketchMode)
 Sets the sketch mode
Created in NX11.0.2. More...
 
NXOpen::SketchSketch ()
 Returns the sketch which holds the section curves
Created in NX12.0.2. More...
 
NXOpen::ScCollectorSketchCollector ()
 Returns the sketch geometry collector
Created in NX11.0.2. More...
 
NXOpen::Mfg::AM::Sketcher::Mode SketchMode ()
 Returns the sketch mode
Created in NX11.0.2. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Mfg::AM::Sketcher builder
To create a new instance of this class, use NXOpen::Mfg::AM::SupportBuilder::Sketcher
Default values.

Property Value

CurveOnSurfaceBuilder.CurveFitData.CurveJoinMethod

No

CurveOnSurfaceBuilder.CurveFitData.Degree

7

CurveOnSurfaceBuilder.CurveFitData.FitMethod

DegreeAndSegments

CurveOnSurfaceBuilder.CurveFitData.IsAdvancedFit

0

CurveOnSurfaceBuilder.CurveFitData.IsAlignShape

0

CurveOnSurfaceBuilder.CurveFitData.MaximumDegree

7

CurveOnSurfaceBuilder.CurveFitData.MaximumSegments

1

CurveOnSurfaceBuilder.CurveFitData.MinimumDegree

5

CurveOnSurfaceBuilder.CurveFitData.Segments

1

CurveOnSurfaceBuilder.CurveFitProperties.FitOption

Cubic

CurveOnSurfaceBuilder.CurveFitProperties.MaximumDegree

7

CurveOnSurfaceBuilder.CurveFitProperties.MaximumSegments

1


Created in NX11.0.2.

Member Enumeration Documentation

the sketcher mode

Enumerator
ModeSurfaceFace 

surface face

ModeSurfaceLine 

surface line

ModeSketchFace 

sketch face

ModeSketchLine 

sketch line

Member Function Documentation

void NXOpen::Mfg::AM::Sketcher::AddCurvePoints ( const std::vector< NXOpen::Point * > &  points)

Creates or extends the curve with points
Created in NX11.0.2.



License requirements : am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
pointssketch points
bool NXOpen::Mfg::AM::Sketcher::CloseCurve ( )

Returns the flag indicating if curve should be closed
Created in NX11.0.2.



License requirements : None

NXOpen::Features::CurveOnSurfaceBuilder* NXOpen::Mfg::AM::Sketcher::CurveOnSurfaceBuilder ( )

Returns the Curve On Surface feature builder
Created in NX11.0.2.



License requirements : None

void NXOpen::Mfg::AM::Sketcher::SetCloseCurve ( bool  bCloseCurve)

Sets the flag indicating if curve should be closed
Created in NX11.0.2.



License requirements : am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
bCloseCurvebclosecurve
void NXOpen::Mfg::AM::Sketcher::SetSketch ( NXOpen::Sketch sectionSketch)

Sets the sketch which holds the section curves
Created in NX12.0.2.



License requirements : am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
sectionSketchsectionsketch
void NXOpen::Mfg::AM::Sketcher::SetSketchCanvas ( const std::vector< NXOpen::Face * > &  faces)

Set the faces to sketch the curve upon
Created in NX11.0.2.



License requirements : am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
facessketch faces
void NXOpen::Mfg::AM::Sketcher::SetSketchMode ( NXOpen::Mfg::AM::Sketcher::Mode  sketchMode)

Sets the sketch mode
Created in NX11.0.2.



License requirements : am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
sketchModesketchmode
NXOpen::Sketch* NXOpen::Mfg::AM::Sketcher::Sketch ( )

Returns the sketch which holds the section curves
Created in NX12.0.2.



License requirements : None

NXOpen::ScCollector* NXOpen::Mfg::AM::Sketcher::SketchCollector ( )

Returns the sketch geometry collector
Created in NX11.0.2.



License requirements : None

NXOpen::Mfg::AM::Sketcher::Mode NXOpen::Mfg::AM::Sketcher::SketchMode ( )

Returns the sketch mode
Created in NX11.0.2.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.